## visad.bom
Class RadarAdapter

    java.lang.Object
      visad.bom.RadarAdapter

public class RadarAdapter
extends Object

RadarAdapter

Nested Class Summary
`class` `RadarAdapter.PolarData`

Field Summary
`int` `numVectors`
`RadarAdapter.PolarData[]` `polar`
`(package private) FlatField` `radar`
`RadarFile` `rf`

Constructor Summary
`RadarAdapter(float centlat, float centlon, float centalt, String radarSource, boolean d3d)`
`RadarAdapter(float centlat, float centlon, String radarSource, boolean d3d)` Deprecated.

Method Summary
`FlatField` `getData()`
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rf

    public RadarFile rf

### polar

    public RadarAdapter.PolarData[] polar

### numVectors

    public int numVectors

### radar

    FlatField radar

Constructor Detail

### RadarAdapter

    public RadarAdapter(float centlat,
                        float centlon,
                        String radarSource,
                        boolean d3d)
                 throws IOException,
                        VisADException

  Deprecated.

### RadarAdapter

    public RadarAdapter(float centlat,
                        float centlon,
                        float centalt,
                        String radarSource,
                        boolean d3d)
                 throws IOException,
                        VisADException

Method Detail

### getData

    public FlatField getData()

### main

    public static void main(String[] args)
                     throws VisADException,
                            RemoteException

  Throws:
    `VisADException`
    `RemoteException`